Jump to content
Invision Board France
Sign in to follow this  
Erwin

IP.Board 2.3.1 et IP.Converge 1.0.0 RC 1 disponibles

Recommended Posts

Erwin

IPS vient de publier IP.Board 2.3.1 et IP.Converge 1.0.0 RC 1

 

 

IP.Board 2.3.1

 

Cette version corrige plusieurs bugs signalés dans la version 2.3.0 et inclue un outil en ligne de commande permettant de reconstruire les messages pour les forums très importants. Comme pour toute nouvelle version, soyez patients pour vos demandes de mises à jour le temps que l'équipe d'IPS traite les demandes en attente. Un pack de mise à niveau d'IP.Board 2.3.0 vers IP.Board 2.3.1 ne contenant que les fichiers modifiés est disponible dans votre espace client pour simplifier la migration.

 

Guide de prise en main

 

Pour les nouveaux utilisateurs et utilisateurs débutants, un guide de prise en main a été ajouté à la documentation IPS. Ce guide présente un rapide aperçu du parametrage d'un forum d'exemple sur une nouvelle installation. La documentation complète et la documentation pour les développeurs ont également été mises à jour.

 

Fichiers modifiés depuis IP.Board 2.3.0 :

  • ips_kernel
    • class_db_mysql_client.php
    • class_db_mysqli_client.php

    [*]jscripts

    • ipb_register.js

    [*]resources

    • help_sections.xml
    • help_settings.xml
    • ipb_skin-pro.xml.gz
    • version_history.php

    [*]skin_acp

    • IPB2_Standard
      • acp_skin_html
        • cp_skin_admin.php

    [*]sources

    • action_admin
      • administration.php
      • dashboard.php
      • forums.php
      • member.php

      [*]action_public

      • misc
        • print_page.php

        [*]register.php

        [*]usercp.php

        [*]xmlout.php

      [*]api

      • api_topics_and_posts.php

      [*]classes

      • bbcode
        • class_bbcode_core.php

        [*]class_forums.php

        [*]class_session.php

        [*]editor

        • class_editor_rte.php

        [*]post

        • class_post.php
        • class_post_edit.php
        • class_post_reply.php

      [*]ipsclass.php

      [*]lib

      • admin_cache_functions.php
      • func_usercp.php

      [*]sql

      • mysql_tables.php
      • mysql_queries.php

    [*]upgrade/*.*

Liste des bugs corrigés :

 

Snapback images don't appear

Security Center NOT saying right time it was last scanned

HTML Parsing doesn't pay attention to member group.

Registration page error in login name

HTML autoline break when raw selected

Editing posts adds a break after every line

Quick edit doesn't work

2.3 upgrade - revert skins

Decimal Pages

Allowed chars list

SSI.PHP Load only one news?

Unable to track topic

Password recovery bug

2.3 Forum Rules images

Moderator permissions bug

2.3 - Remove Member Photo Strict Mode error

ACP Log-In Logs

2.3 Moderators using name vs display name

Install License Agreemen

Grammar error in Task Manager

typo in class_post_ediy

IPB 2.3 api_topics_and_posts doesn't work

2.2/2.3 - Print Topic

BBCode debug

 

Télécharger le fichier de différence des template :

 

ipb230_231_diff.txt.zip

 

 

IP.Converge 1.0.0 RC 1

 

IP.Converge est le système d'IPS permettant de lier plusieurs produits IPS entre eux créant ainsi un seul système d'authentification central. Les utilisateurs experimentés peuvent également écrire leurs propres modules d'authentification afin de lier d'autres applications. Ceci est la première Release Candidate pour IP.Converge. Par conséquent aucun support ne sera fourni pour cette version. Veuillez signaler tous les bugs que vous pourriez rencontrer dans le Bug Tracker IPS. IP.Converge 1.0.0 RC1 requiert IP.Board 2.3.1 pour fonctionner.

 

 

Mise à jour des convertisseurs

 

Le système de conversion a été mis à jour pour supporter IP.Board 2.3.1. Vous pouvez le télécharger depuis la page conversion d'IPS.

 

Les scripts suivants sont pris en charge :

 

ActiveForums

CBB / Xoops 3

Community Server

DCForum+

FuseTalk

phpBB 2.x

phpBB 3.x

vBulletin 2.x

vBulletin 3.x

Groupee/Infopop

IkonBoard

Simple Machines Forum 1.x

UBB.Threads 5

UBB.Thread 6

Snitz

MyBB

CBB/NewBB

DCForum+

Fusetalk 4.x

MiniBB

MyBB

PHP-Fusion

PunBB

WebSpell

WebWiz

XMB 1.x

 

Les noms et marques sont la propriété de leurs détenteurs.

 

--------------------

Annonce originale IPS :

IP.Board 2.3.1 and IP.Converge 1.0.0 RC 1 Released

Share this post


Link to post
Share on other sites
mikaweb

Merci Erwin.

Je me demandais ce qui avait été changé maintenant je le sais.

C'est super sympa d'avoir fait cela rapidement :)

Share this post


Link to post
Share on other sites
LitteulBlack

C'est bien ils ont mis à jour le script de conversion pour la version 2.3.x :)

Edited by LitteulBlack

Share this post


Link to post
Share on other sites
pechelune
C'est bien ils ont mis à jour le script de conversion pour la version 2.3.x :)

Merci pour la traduction !

 

Je vais mettre ipbs à jour tiens... :hehe::)

Edited by pechelune

Share this post


Link to post
Share on other sites
Youp3

Ils n'ont pas peur :hehe:

 

Car contrairement à ce qui est dit, toutes les mods 2.2 ne sont pas (totalement) compatibles avec IPB 2.3. E2T en est un exemple.

Share this post


Link to post
Share on other sites
Erwin

Oui c'est ce qui a été prévu par IPS concernant les *composants*. Seulement il peut y avoir quelques couacs malgré tout. Il faut les trouver et corriger ce qui peut poser problème.

Share this post


Link to post
Share on other sites
Prolag

Surtout que les API bougent... et j'ai peur de certain bug...

Share this post


Link to post
Share on other sites
Erwin

Les changements concernants les API que j'ai pu voir concernaient surtout des bugs/oublis/améliorations (exemple hardcoded). Mais je n'ai pas fait de diffs sur ces fichiers donc je ne sais pas si les changements sont plus profonds que ça.

Share this post


Link to post
Share on other sites
Fabien

C'est sympa le petit message dans le Dashboard pour signaler une nouvelle version :hehe:

Share this post


Link to post
Share on other sites
Youp3

Effectivement, mais n'est-ce pas moins visible qu'avant ?

Share this post


Link to post
Share on other sites
Fabien

Il y avait quelque chose avant ?

Perso, j'ai remarqué le message tout de suite car il y a un effet highlight sur la boîte.

Share this post


Link to post
Share on other sites
Youp3

Et bien il y avait l'image rouge (vas dans le PCA ici) qui indiquait qu'une mise à jour était dispo.

Mais effectivement le "flash" jaune attire un peu l'oeil. Une couleur rouge comme quand l'installeur est présent aurait été préférable au bleu tout de même.

Share this post


Link to post
Share on other sites
Erwin

Maintenant c'est même une image rouge avec un lien reset pour mettre à jour la version en 70620 raison r (release). Est-ce vraiment nécéssaire ? :hehe:

Share this post


Link to post
Share on other sites
Darken

Attention, tout dépendant l'heure que vous avez téléchargé le pack d'upgrade et le pack full. Les deux peuvent contenir des bugs. 1 au niveau du fichier class_post_reply.php (solution dispo dans le bugtracker d'IPS et ici) et l'autre, vient que le pack d'upgrade contenait un fichier pas à jour.

Edited by Darken

Share this post


Link to post
Share on other sites
Youp3

Les deux sont-ils maintenant à jour ?

Share this post


Link to post
Share on other sites
Darken

Salut, hier le pack d'upgrade oui pour l'installateur. Les deux soit pack d'upgrade et le full ne contienne pas la correction incluse dans le bugtracker pour le fusionnement des messages du même membre... mais bon, j'espère que quelqu'un chez IPS à rectifié le tir.

Share this post


Link to post
Share on other sites
Bencas

C'est normal de ne pas avoir le fichier sql > mysql_tables.php ? :)

Share this post


Link to post
Share on other sites
Darken

J'amais vu mysql_tables.php dans IPB et IP.Board.

Share this post


Link to post
Share on other sites
Bencas

Et pourtant ils mettent que le fichier a été modifié :)

Share this post


Link to post
Share on other sites
uioltehreeth

J'ai mis à jour avec le pack upgrade, tout a l'air ok.

Share this post


Link to post
Share on other sites
Darken
/install/sql/mysql_tables.php ?

Effectivement, il est bien là. J'avais oublié de regarder dans ce dossier, install. :)

Share this post


Link to post
Share on other sites
Bencas

Yes merci Fab' :)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.